Create or Update MLRepo
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/ml-repos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
},
"dryRun": false
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/ml-repos"
payload = {
"manifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
},
"dryRun": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifest: {
type: 'ml-repo',
name: '<string>',
storage_integration_fqn: '<string>',
collaborators: [{subject: '<string>', role_id: '<string>'}],
description: '<string>'
},
dryRun: false
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/ml-repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"tenant_name": "truefoundry",
"manifest": {
"name": "devtest-finetuning-test-420",
"type": "ml-repo",
"description": "This is a test MLRepo for fine-tuning experiments.",
"collaborators": [
{
"role_id": "mlf-project-admin",
"subject": "user:user1@example.com"
},
{
"role_id": "mlf-project-admin",
"subject": "team:teamb"
}
],
"storage_integration_fqn": "truefoundry:aws:aws-4:blob-storage:devtest-test-1"
},
"created_by_subject": {
"subjectId": "cm1xxxp",
"subjectSlug": "test-user@truefoundry.com",
"subjectType": "user",
"subjectDisplayName": "Test User"
},
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"id": "420",
"num_runs": 10,
"artifact_type_counts": {},
"datasets_count": 10
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}MLRepos
Create or Update MLRepo
Creates or updates an MLRepo entity based on the provided manifest.
PUT
/
api
/
svc
/
v1
/
ml-repos
Create or Update MLRepo
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Returns the created or updated MLRepo entity based on the provided manifest.
ML Repo
Show child attributes
Show child attributes
Was this page helpful?
⌘I